#%define libdir /%{_lib}

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	A library of handy utility functions
Name:      	glib
Version:   	2.16.3
Release:   	1
Provides:	glib2
License: 	LGPL
URL: 		http://www.gtk.org
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
Source2: 	glib2.sh
Source3: 	glib2.csh
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	gettext pkg-config autoconf
BuildRequires:	glibc-devel gamin-devel 

%description 
GLib is the low-level core library that forms the basis
for projects such as GTK+ and GNOME. It provides data structure
handling for C, portability wrappers, and interfaces for such runtime
functionality as an event loop, threads, dynamic loading, and an 
object system.

This package provides version 2 of GLib.

%package	devel
Summary: 	The GIMP ToolKit (GTK+) and GIMP Drawing Kit (GDK) support library
Group: 		Development/Libraries
Requires: 	pkg-config
Requires: 	%{name} = %{version}-%{release}
Provides:	glib2-devel

%description	devel
The glib2-devel package includes the header files for 
version 2 of the GLib library. 

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n glib-%{version}

%build
FLAGS=`echo "$RPM_OPT_FLAGS" | sed 's/-Os/-O2/'`
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

for i in config.guess config.sub ; do
	test -f /usr/share/libtool/$i && cp /usr/share/libtool/$i .
done
%configure --disable-gtk-doc --enable-static
make %{?_smp_mflags}

%check

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# we build into /usr/lib, but we want the libraries (but not 
# the devel stuff) in /lib
./mkinstalldirs $RPM_BUILD_ROOT/%{_lib}
pushd $RPM_BUILD_ROOT%{_libdir}
for name in glib gobject gmodule gthread gio; do
  mv lib${name}-2.0.so.* ../../%{_lib}
  ln -sf ../../%{_lib}/lib${name}-2.0.so.*.* lib${name}-2.0.so
done
popd

## glib2.sh and glib2.csh
./mkinstalldirs $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

%find_lang glib20

%files -f glib20.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README
%{libdir}/libglib-2.0.so.*
%{libdir}/libgthread-2.0.so.*
%{libdir}/libgmodule-2.0.so.*
%{libdir}/libgobject-2.0.so.*
%{libdir}/libgio-2.0.so.*
%{_sysconfdir}/profile.d/*
%{_libdir}/gio/modules/libgiofam.so

%files devel
%defattr(-, root, root, -)
%{_libdir}/lib*.so
%{_libdir}/*.la
%{_libdir}/glib-2.0
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/pkgconfig/*
%{_datadir}/glib-2.0
%{_bindir}/*
%doc %{_datadir}/gtk-doc/html/*
%doc %{_mandir}/man1/*
%{_libdir}/lib*.a
%{_libdir}/gio/modules/libgiofam.a
%{_libdir}/gio/modules/libgiofam.la
      
%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 09 2008 Christian Wasem <wasem@ccux-linux.de> 2.16.3-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update
* Mon Jan 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.15.0-2
- changed some C++ style comments to C style (breaks compilation of VirtualBox otherwise)
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 2.15.0-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.14.1-1
- Version update
* Fri Mar 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.11-1
- Version update
* Fri Mar 16 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.9-1
- Version update
* Thu Nov 09 2006 Christian Metzen <metzench@ccux-linux.de> 2.12.4-4
- lowered optimization
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.12.4-3
- moved libdir
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 2.12.4-2
- rebuild, refined provides and requires
* Wed Oct 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.12.4-1
- Version Update
* Thu Aug 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.12.3-1
- Version Update
* Wed Aug 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.12.2-1
- Version Update
* Mon Jul 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.12.0-1
- Version Update
* Sat May 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.10.3-1
- Version Update
* Sat May 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.10.3-1
- Version Update
* Sun Apr 26 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.10.2-1
- Version Update
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 2.10.1-1
- Version Update
* Mon Jan 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.9.5-1
- Version Update
* Fri Jan 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.9.4-1
- Version Update
* Tue Jan 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.9.3-1
- Version Update
* Sun Jan 15 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.9.2-1
- Version Update
* Sun Dec 18 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.9.1-2
- reintegrated .la libs to devel package
* Sat Dec 17 2005 Christian Metzen <metzench@ccux-linux.de> 2.9.1-1
- Version update, added static libs
* Wed Nov 16 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.4-1
- Version update
* Tue Oct 04 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.3-1
- Version update
* Wed Sep 28 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.2-1
- Version update
* Tue Aug 30 2005 Christian Metzen <metzench@ccux-linux.de> 2.8.1-2
- Moved some files
* Tue Aug 30 2005 Christian Wasem <wasem@ccux-linux.de> 2.8.1-1
- Update to Version 2.8.1, moving more files to devel
* Thu Jun 16 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.5-1
- Update to Version 2.6.4
* Thu Apr 07 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.4-1
- Update to Version 2.6.4
* Tue Mar 01 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.3-1
- Update to Version 2.6.3
* Sat Feb 05 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.2-1
- Update to Version 2.6.2
* Mon Jan 10 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.1-1
- Update to Version 2.6.1
* Wed Jan 05 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.0-1
- Update to Version 2.6.0
* Mon Dec 20 2004 Christian Metzen <metzench@ccux-linux.de> 2.4.7-1
- Update to Version 2.4.7
